Results 1 to 3 of 3

Thread: Newbie needs help on D2pro9/D2sun

  1. #1
    Junior Member
    Join Date
    Jul 2008
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Us Newbie needs help on D2pro9/D2sun

    Hello all experts here. I have couple questions, and thanks in advance to who ever answer me.

    1. I have the NTSC/US Wii with D2sun v2.0 ( I believe it's the clone of D2pro9) with 3.3u. I also have an original SSBB. When I insert the game, it shows software update needed to play the game. Can I update? Will it brick my Wii? I think 3.3u is already the newest firmware.

    2. Can I use my WIFI to update the official firmware, like if 3.4u come out? Will it brick my Wii?

    Thnaks again for helping me.

  2. #2
    Member smasher164's Avatar
    Join Date
    Jul 2008
    Posts
    441
    Thanks
    6
    Thanked 12 Times in 6 Posts
    if the game is also ntsc then update, if it is pal then DO NOT UPDATE. u can check this by using the wii update manager to figure out if it is safe for ur wii.

    Always update by performing the wii system update in the settings.

  3. #3
    Junior Member
    Join Date
    Jul 2008
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Thanks a lot smasher164

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •